public abstract class ExpressaoBinaria extends Expressao 
{
   protected Expressao operandoEsquerdo;
   protected Expressao operandoDireito;
   
   public ExpressaoBinaria(Expressao esq, Expressao dir) 
   {
       this.operandoEsquerdo = esq;
       this.operandoDireito = dir;    
   }
      
   public String toString()
   {
      return "(" + operandoEsquerdo + simbolo() + operandoDireito + ")";
   }
   
   // Nota: no enunciado estava public, mas faz mais sentido protected 
   protected abstract char simbolo(); 
}
