package GestaoBancos;


/**
 * Representa um cliente empresarial.
 * 
 * @author (Joo Pascoal Faria) 
 * @version (20 de Fevereiro de 2003)
 */
public class ClienteEmpresarial extends Cliente
{
    private ClienteIndividual responsavel;

    public ClienteEmpresarial(int numero, String nome, ClienteIndividual responsavel)
    {
        super(numero, nome);
        this.responsavel = responsavel;
    }
    
    public ClienteIndividual getResponsavel()
    {
        return responsavel;
    }
    
    public String toString()
    {
        return "ClienteEmpresarial(numero=" + numero + ", nome=" + nome + ", responsavel=" + responsavel + ")";
    }

}
